Package org.lwjgl.opengl

# Class EXTTextureSnorm

java.lang.Object
org.lwjgl.opengl.EXTTextureSnorm

public final class EXTTextureSnorm extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALPHA_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_ALPHA_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE16_ALPHA16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE8_ALPHA8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_R16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_R8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RED_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RG_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RG16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RG8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA16_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA8_SNORM`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_SIGNED_NORMALIZED`
Returned by GetTexLevelParmeter

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RED_SNORM

public static final int GL_RED_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RG_SNORM

public static final int GL_RG_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB_SNORM

public static final int GL_RGB_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA_SNORM

public static final int GL_RGBA_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA_SNORM

public static final int GL_ALPHA_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_SNORM

public static final int GL_LUMINANCE_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA_SNORM

public static final int GL_LUMINANCE_ALPHA_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY_SNORM

public static final int GL_INTENSITY_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_R8_SNORM

public static final int GL_R8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RG8_SNORM

public static final int GL_RG8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB8_SNORM

public static final int GL_RGB8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA8_SNORM

public static final int GL_RGBA8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA8_SNORM

public static final int GL_ALPHA8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE8_SNORM

public static final int GL_LUMINANCE8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE8_ALPHA8_SNORM

public static final int GL_LUMINANCE8_ALPHA8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY8_SNORM

public static final int GL_INTENSITY8_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_R16_SNORM

public static final int GL_R16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RG16_SNORM

public static final int GL_RG16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB16_SNORM

public static final int GL_RGB16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA16_SNORM

public static final int GL_RGBA16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA16_SNORM

public static final int GL_ALPHA16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE16_SNORM

public static final int GL_LUMINANCE16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE16_ALPHA16_SNORM

public static final int GL_LUMINANCE16_ALPHA16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY16_SNORM

public static final int GL_INTENSITY16_SNORM
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_SIGNED_NORMALIZED

public static final int GL_SIGNED_NORMALIZED
Returned by GetTexLevelParmeter

See Also:
  - Constant Field Values